export default class DiagnosticTool {
    static defaultReportTimeout: number;
    private static _instance;
    private integrationMessageColors;
    private npawPluginInstance?;
    private balancerEnabled;
    private videoAnalyticsEnabled;
    private adsAnalyticsEnabled;
    private reportTimeoutDuration;
    private reportTimeout?;
    private reportTimeoutStarted;
    private runningOffline;
    private balancerInterceptedRequests;
    private successfulResponseFromSelector;
    private apiErrorMessage?;
    private usedSelectorAPI;
    private activeSwitchingEnabled;
    private asDecisionPerformed;
    private switchedCdns;
    private cdnList;
    private triedSendingBalancerStats;
    private mandatoryBalancerRequests;
    private capturedEvents;
    private successfulNQSRequests;
    private hasPlayerRegistered;
    private triedSendingNQSStats;
    private mandatoryNQSRequests;
    private shouldIgnoreAds;
    private capturedAdsEvents;
    private successfulNQSAdsRequests;
    private hasAdsPlayerRegistered;
    private triedSendingNQSAdStats;
    private mandatoryNQSAdsRequests;
    private constructor();
    static getInstance(forceNew?: boolean): DiagnosticTool;
    setSettings(newConfig: any): void;
    setBalancerEnabled(enabled?: boolean): void;
    setVideoAnalyticsEnabled(enabled?: boolean): void;
    setAdsAnalyticsEnabled(enabled?: boolean): void;
    getReportTimeout(): number;
    setReportTimeout(timeout?: number): void;
    report(): void;
    private logBalancerDiagnostic;
    private logVideoAnalyticsDiagnostic;
    private logAdsAnalyticsDiagnostic;
    private getApiErrorMessage;
}
